List a page's public links
View as MarkdownGET
/v1/documents/{documentId}/share-linksdocs:readRead-only
curl "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/share-links" \
-H "Authorization: Bearer $LYDIE_TOKEN"Path parameters
Response
{
"shareLinks": [
{
"id": "string",
"documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"tokenHint": "string",
"includeSubpages": false,
"expiresAt": null,
"hasPassword": false,
"createdBy": null,
"createdAt": "2026-11-12T09:30:00.000Z"
}
]
}Errors use one envelope for every endpoint. See Errors and versions.